Your suggested change has been received. Thank you.

close

Suggest A Change

https://thales.na.market.dpondemand.io/docs/dpod/services/kmo….

back

Salesforce APIs

Salesforce Named Credentials APIs

search

Please Note:

Salesforce Named Credentials APIs

Named Credentials are required for Salesforce cache-only keys.

Listing Named Credentials from Salesforce

Use /v1/cckm/sfdc/get-named-credentials to list all the named credentials associated with a Salesforce organization. The list is fetched from Salesforce.

Syntax

curl -k 'https://<IP>/api/v1/cckm/sfdc/get-named-credentials' -H 'Authorization: Bearer AUTHTOKEN' -H 'Content-Type: application/json' --data-binary $'{\n  "organization_id": "<organization-id>"\n}' --compressed

Request Parameters

Parameter Type Description
AUTHTOKEN string Authorization token.
organization_id string Resource ID of the organization

Example Request

curl -k 'https://127.0.0.1/api/v1/cckm/sfdc/get-named-credentials' -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiJkN2EzMTllMS1kODQ3LTRhYTEtOGMyZS1mMjFjM2UxOTI1ZTQiLCJzdWIiOiJsb2NhbHw2MTVmM2E3Ny01MzM1LTQwMTItODcyYy05MWE5NTgwMTNlOTYiLCJpc3MiOiJreWxvIiwiYWNjIjoia3lsbyIsInByZWZlcnJlZF91c2VybmFtZSI6ImFkbWluIiwiY3VzdCI6eyJkb21haW5faWQiOiIwMDAwMDAwMC0wMDAwLTAwMDAtMDAwMC0wMDAwMDAwMDAwMDAiLCJncm91cHMiOlsiYWRtaW4iXSwic2lkIjoiZjM0ZTEwOTgtOGM5MC00NWQ4LWFkNmEtMmYzOWFhMWJmNzk3Iiwiem9uZV9pZCI6IjAwMDAwMDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCJ9LCJqd3RpZCI6ImU2ZTVhYWVmLTg0ZjMtNDZjYy05ZDI3LTllZTBkMTgyNWViNiIsImlhdCI6MTYzMzQ1MDEyOSwiZXhwIjoxNjMzNDUwNDI5fQ.VXVV-0Jyxp_c2Heg04sg-rLYWTliNQgX3ImPow9er8s' -H 'Content-Type: application/json' --data-binary $'{\n  "organization_id": "04f63144-940c-4c4f-8426-111111111111"\n}' --compressed

Example Response

{
"skip": "0,",
"limit": "10,",
"total": "1,",
"resources": [
    {
    "masterLabel": "nc1",
    "sfdcNamedCredentialId": "0XAB0000000KyokOAC"
    }
]
}

Response Codes

Response Code Description
2xx success
4xx resource not found on Salesforce